openSUSE Security Update : libpoppler-devel (openSUSE-SU-2010:0976-1)

medium Nessus Plugin ID 53755

Synopsis

The remote openSUSE host is missing a security update.

Description

Specially crafted PDF files could crash poppler or potentially even cause execution of arbitrary code (CVE-2010-3702, CVE-2010-3704)

Solution

Update the affected libpoppler-devel packages.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=642785

https://lists.opensuse.org/opensuse-updates/2010-11/msg00036.html

Plugin Details

Severity: Medium

ID: 53755

File Name: suse_11_2_libpoppler-devel-101016.nasl

Version: 1.7

Type: local

Agent: unix

Published: 5/5/2011

Updated: 1/14/2021

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libpoppler-devel, p-cpe:/a:novell:opensuse:libpoppler-glib-devel, p-cpe:/a:novell:opensuse:libpoppler-glib4, p-cpe:/a:novell:opensuse:libpoppler-qt2, p-cpe:/a:novell:opensuse:libpoppler-qt3-devel, p-cpe:/a:novell:opensuse:libpoppler-qt4-3, p-cpe:/a:novell:opensuse:libpoppler-qt4-devel, p-cpe:/a:novell:opensuse:libpoppler5, p-cpe:/a:novell:opensuse:poppler-tools, cpe:/o:novell:opensuse:11.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 10/16/2010

Reference Information

CVE: CVE-2010-3702, CVE-2010-3703, CVE-2010-3704